#!/bin/sh
# AQEMU 0.5 Configure Script
# Lisence: GPL v2
# Author: Andrey Rijov (aka RDron)

QMAKE_PATH="/usr/bin/qmake"
QMAKE_QT4_PATH="/usr/bin/qmake-qt4"

# OS Detection
if uname -a | grep "FreeBSD" > /dev/null; then
	QMAKE_PATH="/usr/local/bin/qmake"
	QMAKE_QT4_PATH="/usr/local/bin/qmake-qt4"
fi

if [ -x $QMAKE_QT4_PATH ]
then
	echo "Ok qmake-qt4 Installed on This Machine. Configuring..."
	
	if qmake-qt4 AQEMU.pro
	then
		echo "Type make for building AQEMU."
		exit 0
	else
		echo "Error! qmake-qt4 Return Non 0 Value!"
		exit 1
	fi
else
	if [ -x $QMAKE_PATH ]
	then
		echo "Ok qmake Installed on This Machine. Configuring..."
		
		if qmake AQEMU.pro
		then
			echo "Type make for building AQEMU."
			exit 0
		else
			echo "Error! qmake Return Non 0 Value!"
			exit 1
		fi
	else
		echo "Error! Cannot Find qmake!"
		echo "For Continue You Most Type: qmake AQEMU.pro or qmake-qt4 AQEMU.pro"
		exit 2
	fi
fi
