#!/bin/sh
# AQEMU 0.5 Installation Script
# Lisence: GPL v2
# Author: Andrey Rijov (aka RDron)

USER_NAME=`whoami`

# You root?
if test "$USER_NAME" != "root";
then
	echo "You Must Be root For Continuation!"
	exit 1
fi

# Default Installation Dirs For Linux
INSTALL_BIN_DIR=/usr/bin
INSTALL_DATA_DIR=/usr/share
INSTALL_MENU_DIR=/usr/share

# Set Installation Dirs For FreeBSD
if uname -a | grep "FreeBSD" > /dev/null;
then
	INSTALL_BIN_DIR=/usr/local/bin
	INSTALL_DATA_DIR=/usr/local/share
	INSTALL_MENU_DIR=/usr/local/share
fi

# User Set Other Installation Dir?
if [ -n "$1" ]
then
	INSTALL_DATA_DIR="$1"
	echo "Install Data Path Changet to: $1"
fi

# Unistall Previous AQEMU Version
echo "Find and Remove Previous AQEMU Installations..."

FIND_PREV="no"

if [ -x /usr/share/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/share/aqemu Directory..."
	rm -rf /usr/share/aqemu
fi

if [ -x /usr/share/apps/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/share/apps/aqemu Directory..."
	rm -rf /usr/share/apps/aqemu
fi

if [ -x /usr/local/share/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/local/share/aqemu Directory..."
	rm -rf /usr/local/share/aqemu
fi

if test "$FIND_PREV" = "no"; then
	echo "No Previous AQEMU Versions Averable."
fi

# Copy New Data Files
echo "Copy New AQEMU 0.5 Files..."
cp ./AQEMU "$INSTALL_BIN_DIR/aqemu"
mkdir "$INSTALL_DATA_DIR/aqemu/"
mkdir "$INSTALL_DATA_DIR/aqemu/os_icons"
mkdir "$INSTALL_DATA_DIR/aqemu/os_templates"
cp ./aqemu_ru.qm "$INSTALL_DATA_DIR/aqemu/"
cp ./os_icons/* "$INSTALL_DATA_DIR/aqemu/os_icons/"
cp ./os_templates/* "$INSTALL_DATA_DIR/aqemu/os_templates/"

echo "Create Menu Items..."
cp ./menu_data/aqemu.desktop "$INSTALL_MENU_DIR/applications/"
cp ./menu_data/aqemu "$INSTALL_MENU_DIR/menu/"
cp ./menu_data/*.png "$INSTALL_MENU_DIR/pixmaps/"

echo "Installation Complete!"
exit 0
